# Copyright © 2022 Nick Bowler
# License GPLv3+: GNU General Public License version 3 or any later version.
# This is free software: you are free to change and redistribute it.
# There is NO WARRANTY, to the extent permitted by law.

EAPI=8

PYTHON_COMPAT=( python3_10 )

inherit python-r1

SHA1=0c65729bc117c5350cd8a602e388a765a41bce4e

DESCRIPTION="Convert RSA keys from RFC7517 JWK format to PKCS#1 PEM format"
SRC_URI="https://git.draconx.ca/gitweb/scripts.git/snapshot/$SHA1.tar.xz -> scripts-$SHA1.tar.xz"

LICENSE="WTFPL-2"
SLOT="0"
KEYWORDS="~amd64"
REQUIRED_USE=$PYTHON_REQUIRED_USE

RDEPEND="$PYTHON_DEPS
	dev-libs/openssl"
DEPEND=$PYTHON_DEPS

S=$WORKDIR/$SHA1

src_install () {
	python_foreach_impl python_newscript jwk2pem.py jwk2pem
}
